@echo off
echo --------------------------------------
echo -          IE Google Button          -
echo --------------------------------------
echo - By Night_Raven a.k.a. _Raziel      -
echo --------------------------------------
echo.
echo What do you want to do?
echo.
echo [1] Install IE Google Button
echo [2] Uninstall IE Google Button
echo [3] Exit (without doing anything)
choice /c:123 /n

if errorlevel 3 GOTO EXIT
if errorlevel 2 GOTO UNINSTALL
if errorlevel 1 GOTO SETUSER

:SETUSER
cls
echo Please type in your account name.
SET /P User=The account is: 
GOTO INSTALL

:INSTALL
CD .\regs
start /w regedit.exe /s IEgbInst.reg
cd..
cd data
COPY tbgic.raz %SystemDrive%\Docume~1\%User%\Applic~1\Micros~1\Intern~1\custom~1\Custom0\IEgb.ico
COPY tblnk.raz %SystemDrive%\Docume~1\%User%\Applic~1\Micros~1\Intern~1\custom~1\Custom0\Google.url
GOTO INSTSUCCESS

:INSTSUCCESS
cls
echo ----------------------------------------
echo IE Google Button installed successfully.
echo You may try it out now. Enjoy!
echo ----------------------------------------
echo.
pause
GOTO EXIT

:UNINSTALL
CD .\regs
start /w regedit.exe /s IEgbRem.reg
GOTO REMSUCCESS

:REMSUCCESS
cls
echo ------------------------------------------
echo IE Google Button uninstalled successfully.
echo ------------------------------------------
echo.
pause
GOTO EXIT

:EXIT
exit